# TransactionQueue Class Reference
[Tools for working with transactions]

Transaction-wrapped queries queue. More...

Inheritance diagram for TransactionQueue:
[legend]

List of all members.

## Public Member Functions

| __construct (DB $db)
| getId ()
| setId ($id)
| add (Query $query)
| flush ()
| toDialectString (Dialect $dialect)
| toString ()

## Private Attributes

| $queue = null

## Detailed Description

Transaction-wrapped queries queue.

See also:
  Queue

Definition at line 19 of file TransactionQueue.class.php.

## Constructor & Destructor Documentation

TransactionQueue::__construct | ( | DB $ | db | ) |

Definition at line 23 of file TransactionQueue.class.php.

## Member Function Documentation

TransactionQueue::add | ( | Query $ | query | ) |

Returns:
  TransactionQueue

Definition at line 42 of file TransactionQueue.class.php.

TransactionQueue::flush | ( |  | ) |

Exceptions:

  | DatabaseException |

Returns:
  TransactionQueue

Definition at line 53 of file TransactionQueue.class.php.

References BaseTransaction::getBeginString().

Here is the call graph for this function:

TransactionQueue::getId | ( |  | ) |

Definition at line 29 of file TransactionQueue.class.php.

TransactionQueue::setId | ( | $ | id | ) |

Definition at line 34 of file TransactionQueue.class.php.

TransactionQueue::toDialectString | ( | Dialect $ | dialect | ) |

Definition at line 68 of file TransactionQueue.class.php.

TransactionQueue::toString | ( |  | ) |

Implements Stringable.

Definition at line 73 of file TransactionQueue.class.php.

References ImaginaryDialect::me().

Here is the call graph for this function:

## Member Data Documentation

TransactionQueue::$queue = null`[private]`

Definition at line 21 of file TransactionQueue.class.php.

The documentation for this class was generated from the following file:

- core/DB/Transaction/TransactionQueue.class.php